Skip to main content
POST
GetSyncChangeTimeline

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Application containing the connector.

connector_id
string
required

Connector whose metadata changes are requested.

Body

application/json

GetSyncChangeTimelineRequest selects the metadata change window for a connector.

since
string<date-time> | null

Response

200 - application/json

GetSyncChangeTimelineResponse contains the observed window and explicitly incomplete source coverage.

GetSyncChangeTimelineResponse contains the observed window and explicitly incomplete source coverage.

events
Sync Change Timeline Event · object[] | null

Events ordered oldest first, capped to the most recent 100 events in the window.

since
string<date-time> | null
truncatedSources
string[] | null

Incomplete sources due to scan/output/retention/baseline limits; authored_catalog_events can omit older catalog events when other tenant activity fills its 250-event scan budget.

until
string<date-time> | null